## GeditMessage GeditMessage — message bus message object |

## Synopsis

    #include <gedit/gedit-message.h>

    struct              GeditMessage;
    const gchar *       gedit_message_get_object_path       (GeditMessage *message);
    const gchar *       gedit_message_get_method            (GeditMessage *message);

## Object Hierarchy

      GObject
       +----GeditMessage

## Properties

      "method"                   gchar*                : Read / Write / Construct
      "object-path"              gchar*                : Read / Write / Construct

## Description

Communication on a GeditMessageBus is done through messages. Messages are sent over the bus and received by connecting callbacks on the message bus. A GeditMessage is an instantiation of a GeditMessageType, containing values for the arguments as specified in the message type.

A message can be seen as a method call, or signal emission depending on who is the sender and who is the receiver. There is no explicit distinction between methods and signals.

## Details

### struct GeditMessage

    struct GeditMessage;

### gedit_message_get_object_path ()

    const gchar *       gedit_message_get_object_path       (GeditMessage *message);

Get the message object path.

`message` : | the GeditMessage
Returns : | the message object path

### gedit_message_get_method ()

    const gchar *       gedit_message_get_method            (GeditMessage *message);

Get the message method.

`message` : | the GeditMessage
Returns : | the message method

## Property Details

### The `"method"` property

      "method"                   gchar*                : Read / Write / Construct

The messages method.

Default value: NULL

### The `"object-path"` property

      "object-path"              gchar*                : Read / Write / Construct

The message object path.

Default value: NULL